<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>
<p align="center">
<a href="/README_AR.md" target="_blank"> Arabic </a> | <a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a>| <a href="/README_ES.md" target="_blank"> Español</a> | <a href="/README_TR.md" target="_blank"> Turkish</a> | <a href="/README_ID.md" target="_blank"> Bahasa Indonesia</a> | <a href="/README_FR.md" target="_blank"> Français</a> | <a href="/README_PT.md" target="_blank"> Portuguese</a> | <a href="/README_KHM.md" target="_blank">ភាសាខ្មែរ</a> | <a href="/README_VI.md" target="_blank">Vietnamese</a> | <a href="/README_CN.md" target="_blank">中文</a> | <a href="/README_JP.md" target="_blank">日本語</a> | <a href="/README_FA.md" target="_blank">فارسی</a>
</p>


Android Developer Roadmap 2022 建议了学习了解 Android 开发的学习路线。

你可以按照路线图中的路径去学习 Android 开发。 每个节点都表示 Android 系统、Android SDK 和常用库的相关概念。

参阅 [Android Developers Reference](https://developer.android.com/reference) 或 GitHub 将会非常有帮助。

另外，**你没有必要学习路线图中的所有内容**，所以我们建议只阅读对你有帮助的部分。

## 🗺 路线图

<details>
  <summary>Dark mode Android Developer Roadmap</summary>

![Roadmap](images/android_developer_roadmap_dark.png)

</details>

<br>

![Roadmap](/images/android_developer_roadmap.png)

## ✍️ 文章

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

这个 2022 Android Developer Roadmap 旨在让你全面了解当前的 Android 生态，并提供建议学习的路径，以帮助你掌握相关概念。<br>

在这多个系列中，跟随我们的 2022 Android Developer Roadmap ，你将学习到所有关于 Android 开发生态系统的知识。
提供给你一个更全面的 Android 社区视角以及指导你作为一个开发者该如何取得进步。

- **[The Android Platform: The 2022 Android Developer Roadmap – Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[App Components: The Android Developer Roadmap – Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[App Navigation and Jetpack: The Android Developer Roadmap – Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**
- **[Design Patterns and Architecture: The Android Developer Roadmap – Part 4](https://getstream.io/blog/design-patterns-and-architecture-the-android-developer-roadmap-part-4/)**

如果你想在我们发布新文章时得到通知，那么请加入 **[watchers](https://github.com/skydoves/android-developer-roadmap/watchers)** 或者关注 **[Stream](https://twitter.com/getstream_io)** 的 Twitter. 你还可以关注这个 GitHub 仓库的作者 __[author](https://github.com/skydoves)__ .

<a href="https://getstream.io/tutorials/android-chat?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=2022AndroidDeveloperRoadmap&utm_term=DevRelOss">
<img src="https://user-images.githubusercontent.com/24237865/138428440-b92e5fb7-89f8-41aa-96b1-71a5486c5849.png" align="right" width="12%"/>
</a>

## ⛴ Stream

如果你有兴趣构建强大的聊天功能，且易于使用、开源、Kotlin 优先、积极维护的，那么请查看 [Stream Chat for Android](https://getstream.io/tutorials/android-chat). 

如果你想使用 Jetpack Compose，那么也可以查看 [Stream Chat for Compose](https://getstream.io/chat/compose/tutorial/), 提供了很多 Jetpack Compose 组件.

## 📱 Demo 应用

本项目包括一个 Demo 项目，展示了这路线图图像。你可以在  [Releases](https://github.com/skydoves/android-developer-roadmap/releases) 下载最新的APK。

## 🤝 贡献

本项目没有涵盖所有内容，所以如果有内容缺失的内容或需要被修复，任何人都可以按照 [CONTRIBUTING](CONTRIBUTING.md) 指导做出贡献.

## 💡 灵感

本项目的灵感来源于 [Android Developer Roadmap 2020](https://github.com/mobile-roadmap/android-developer-roadmap). 感谢这库的作者提供的想法，你也可以从它那学到很多知识。

## 发现这个项目很有用? :heart:

点个 Star __[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ :star: <br>
或关注我 __[follow](https://github.com/skydoves)__ 以支持我下次创作 🤩

## License
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
