<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>
<p align="center">
<a href="/README_AR.md" target="_blank"> Arabic </a> | <a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a>| <a href="/README_ES.md" target="_blank"> Español</a> | <a href="/README_TR.md" target="_blank"> Turkish</a> | <a href="/README_ID.md" target="_blank"> Bahasa Indonesia</a> | <a href="/README_FR.md" target="_blank"> Français</a> | <a href="/README_PT.md" target="_blank"> Portuguese</a> | <a href="/README_KHM.md" target="_blank">ភាសាខ្មែរ</a> | <a href="/README_VI.md" target="_blank">Vietnamese</a> | <a href="/README_CN.md" target="_blank">中文</a> | <a href="/README_JP.md" target="_blank">日本語</a> | <a href="/README_FA.md" target="_blank">فارسی</a>
</p>


Android Developer Roadmap 2022は、Android開発を理解するための学習パスを提案しています。

ロードマップ中央にあるパスを辿ることで、Android開発関連のコンセプトを順を追って学習することが可能です。

各ノードは、Androidシステム、Android SDK、および一般的に使用されるライブラリの概念を示しています。具体的な用語は [Android Developers Reference](https://developer.android.com/reference)、またはGitHubを参照して下さい。

その他、**このロードマップからすべてを学ぶ必要はありません**，そのため、役に立つ部分だけ読むことをお勧めします。

## 🗺 ロードマップ

<details>
  <summary>Dark mode Android Developer Roadmap</summary>

![Roadmap](images/android_developer_roadmap_dark.png)

</details>

<br>

![Roadmap](/images/android_developer_roadmap.png)

## ✍️ 本文

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

2022 Android Developer Roadmapは、現在のAndroidのエコシステムを総合的に理解し、それらのコンセプトを把握するのに役立つ学習経路を提案するように設計されています。

このシリーズでは、2022年のAndroid開発者ロードマップに沿ってAndroid開発のエコシステムのすべてを学び、Androidコミュニティの全体像と開発者として進歩できる方法を理解することができます。

- **[The Android Platform: The 2022 Android Developer Roadmap – Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[App Components: The Android Developer Roadmap – Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[App Navigation and Jetpack: The Android Developer Roadmap – Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**
- **[Design Patterns and Architecture: The Android Developer Roadmap – Part 4](https://getstream.io/blog/design-patterns-and-architecture-the-android-developer-roadmap-part-4/)**

今後投稿のタイミングで通知を受け取りたい場合は **[watchers](https://github.com/skydoves/android-developer-roadmap/watchers)** に加入、もしくは **[Stream](https://twitter.com/getstream_io)** Twitterアカウントのフォロー等お願いいたします。このGitHubリポジトリの __[author](https://github.com/skydoves)__ もこちらからフォローができます。

<a href="https://getstream.io/tutorials/android-chat?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=2022AndroidDeveloperRoadmap&utm_term=DevRelOss">
<img src="https://user-images.githubusercontent.com/24237865/138428440-b92e5fb7-89f8-41aa-96b1-71a5486c5849.png" align="right" width="12%"/>
</a>

## ⛴ Stream

もしあなたが、使いやすく、オープンソースで、Kotlinファーストであり、頻繁にメンテナンスが行われている堅牢なチャット機能を構築することに興味があるなら、 [Stream Chat for Android](https://getstream.io/tutorials/android-chat)をチェックしてみて下さい。

Jetpack Composeを使用したい場合は，こちらもチェック[Stream Chat for Compose](https://getstream.io/chat/compose/tutorial/), Jetpack Composeコンポーネントが多数提供されています。

## 📱 デモアプリ

本プロジェクトでは、ロードマップイメージを表示するためのデモアプリを用意してあります。こちら[Releases](https://github.com/skydoves/android-developer-roadmap/releases)から最新バージョンのAPKがダウンロード可能です。

## 🤝 コントリビューション

本プロジェクトでは全てをカバーしきれていないため、不足な点または修正点が見つかった際は、[CONTRIBUTING](CONTRIBUTING.md)に準拠したコントリビュートをお待ちしております。

## 💡 インスピレーション

本プロジェクトは[Android Developer Roadmap 2020](https://github.com/mobile-roadmap/android-developer-roadmap) からインスパイアされています。本プロジェクトロードマップ作成において、多くのアイデアと知識を著者から提供いただけたこと、感謝申し上げます。

## 役に立ちましたか? :heart:

__[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ に加入:star:<br>
または __[フォロー](https://github.com/skydoves)__ していただけると次の創作の励みになります🤩

## License
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
